
// Validate central
$('.form-central').validate({
  rules: {
    mensagem: {
      required: true
    }
  },
  highlight: function (element) {
    
  },
  invalidHandler: function (event, validator) {
    alert('Preencha o formulário corretamente.');
  },
  submitHandler: function (form) {
    var btnSubmit = $('.js-btn-submit');
    $('.loading').fadeIn('fast');
    $.ajax({
      method: 'POST',
      url: $(form).attr('action'),
      data: $(form).serialize(),
      dataType: 'json',
      beforeSend: function () {
        btnSubmit.attr('disabled', 'disabled');
      },
      success: function (resp) {
        if (resp.tipo == 'sucesso') {
          window.location = baseUrl + '/sucesso';
        };
        if (resp.tipo == 'erro') {
          alert(resp.mensagem);
        };
        $('.loading').fadeOut('fast');
      },
      error: function (context) {
        alert('Falha ao enviar formulário.');
        $('.loading').fadeOut('fast');
      },
      complete: function () {
        btnSubmit.removeAttr('disabled');
        $('.loading').fadeOut('fast');
      }
    });
    return false;
  }
});